-- MySQL dump 10.11
--

--
-- Table structure for table `SystemEvents`
--
CREATE DATABASE IF NOT EXISTS `Syslog`;
USE `Syslog`

CREATE TABLE `SystemEvents` (
  `ID` BIGINT(20) unsigned NOT NULL auto_increment,
  `CustomerID` bigint(20) default NULL,
  `ReceivedAt` datetime default NULL,
  `DeviceReportedTime` datetime default NULL,
  `Facility` smallint(6) default NULL,
  `Priority` smallint(6) default NULL,
  `FromHost` varchar(60) default NULL,
  `Message` text,
  `NTSeverity` int(11) default NULL,
  `Importance` int(11) default NULL,
  `EventSource` varchar(60) default NULL,
  `EventUser` varchar(60) default NULL,
  `EventCategory` int(11) default NULL,
  `EventID` int(11) default NULL,
  `EventBinaryData` text,
  `MaxAvailable` int(11) default NULL,
  `CurrUsage` int(11) default NULL,
  `MinUsage` int(11) default NULL,
  `MaxUsage` int(11) default NULL,
  `InfoUnitID` int(11) default NULL,
  `SysLogTag` varchar(60) default NULL,
  `EventLogType` varchar(60) default NULL,
  `GenericFileName` varchar(60) default NULL,
  `SystemID` int(11) default NULL,
  `processid` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`ID`),
  KEY `SystemEvents_01` (`ReceivedAt`,`FromHost`,`Message`(255)),
  KEY `SystemEvents_02` (`DeviceReportedTime`,`FromHost`,`Message`(255)),
  KEY `SystemEvents_03` (`ReceivedAt`,`Priority`,`Facility`,`FromHost`)
) AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

--
-- Table structure for table `SystemEventsProperties`
--
CREATE TABLE `SystemEventsProperties` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `SystemEventID` int(11) default NULL,
  `ParamName` varchar(255) default NULL,
  `ParamValue` text,
  PRIMARY KEY  (`ID`)
) DEFAULT CHARSET=utf8;
